Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.job
Class GetProjectsForSessionJob

    java.lang.Object
      edu.stanford.smi.protege.util.RemoteJob
          edu.stanford.smi.protege.util.ServerJob
              edu.stanford.smi.protege.server.job.GetProjectsForSessionJob

All Implemented Interfaces:
  Serializable

    public class GetProjectsForSessionJob

extends ServerJob

See Also:
  Serialized Form

Constructor Summary
`GetProjectsForSessionJob(RemoteServer server, RemoteSession session, RemoteSession sessionWithPrjs)`

Method Summary
`Object` | `run()` This class is overridden by the sub class and defines the fuunctionality of this job.

Methods inherited from class edu.stanford.smi.protege.util.ServerJob
`execute, fixLoader, getSession`

Methods inherited from class edu.stanford.smi.protege.util.RemoteJob
`serverSideCheckOperationAllowed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetProjectsForSessionJob

    public GetProjectsForSessionJob(RemoteServer server,
                                    RemoteSession session,
                                    RemoteSession sessionWithPrjs)

Method Detail

### run

    public Object run()
               throws ProtegeException

  Description copied from class: `RemoteJob`
  This class is overridden by the sub class and defines the fuunctionality of this job. The intention is that the sub-class will define this method and callers will use the execute() method.

  Specified by:
    `run` in class `RemoteJob`
  Returns:
  Throws:
    `ProtegeException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.